@echo off
REM Build the Clade package
REM
REM  Required variables:
REM    TEMP       - The temporary directory
REM    RELEASEDIR - The directory to store build
REM
REM  Required tools
REM    CMake	- to use some commands that work everywhere (-E remove_directory, ...)
REM    zip
REM    GNU Make
REM    windres
REM    golink

set VERSION=0.7

set SRCDIR=.
set DESTDIR=%TEMP%\clade-%VERSION%

REM ===========
REM Build win64
REM ===========
cmake -E remove_directory %DESTDIR%
md %DESTDIR%
md %DESTDIR%\tmp
md "%DESTDIR%\Clade"
md "%DESTDIR%\Clade\help"
md "%DESTDIR%\Clade\templates"

gmake -s -f Makefile.windows MSVC=1 OUTDIR=%DESTDIR%\tmp with-local-libs

copy %DESTDIR%\tmp\clade.exe "%DESTDIR%\Clade"
copy %SRCDIR%\COPYING "%DESTDIR%\Clade"
copy %SRCDIR%\README "%DESTDIR%\Clade"
copy %SRCDIR%\session.cbc "%DESTDIR%\Clade"
copy %SRCDIR%\global-options.cbc "%DESTDIR%\Clade"
copy %SRCDIR%\help\*.* "%DESTDIR%\Clade\help"
copy %SRCDIR%\templates\*.* "%DESTDIR%\Clade\templates"

pushd %DESTDIR%
zip -9 -r -q "%DESTDIR%\clade-%VERSION%-win64.zip" "Clade"
popd
